summaryrefslogtreecommitdiffstats
path: root/scripts/run_travis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run_travis.sh')
-rwxr-xr-xscripts/run_travis.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/scripts/run_travis.sh b/scripts/run_travis.sh
new file mode 100755
index 0000000..fa20fdb
--- /dev/null
+++ b/scripts/run_travis.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+
+toplevel=$(git rev-parse --show-toplevel)
+testdir=${toplevel}/tests/selenium
+
+function run_lint {
+ if ! make -C "$toplevel" lint; then
+ echo "Linting errors"
+ exit 1
+ fi
+}
+
+function run_selenium {
+ # autodiscover and run the tests
+ pytest --capture=no --verbose --durations=10 "$testdir"
+}
+
+if [ "$INFO" == "lint" ]; then
+ echo "running lint tests"
+ run_lint
+else
+ case $BROWSER in
+ *chrome*)
+ echo "running tests on chrome"
+ run_selenium
+ ;;
+ *firefox*)
+ echo "running tests on firefox"
+ run_selenium
+ ;;
+ *)
+ echo "bad INFO variable, got $INFO"
+ exit 1
+ ;;
+ esac
+fi